<?xml version="1.0" encoding="UTF-8"?>
<!--  Namespace type configuration  -->
<beans default-lazy-init="false" 
    xmlns="http://www.springframework.org/schema/beans" 	
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd">
 		
	<!--
		The asynchronous exporters are prototypes so that configuration data
		are not being alter during the report genereation process.  This bean
		serves as a base definition for all out-of-the-box asynchronous exporters
	-->
	<bean id="common.asynch.report.exporter" abstract="true">
		<property name="asynchronous" value="true"/>
		<property name="loginManager" ref="loginManager"/>
		<property name="reportPersister" ref="reportPersister"/>
	</bean>
		
		
	<bean id="ehCacheStrategy" class="gov.va.med.fw.cache.EHCacheStrategy">
	</bean>
	
	
	<!--
		@type: gov.va.med.fw.report.jasperreport.JasperReportTemplate
		@description: This bean is a base component definition for all report templates
	-->
	<bean 
		id="abstract.reportTemplate" 
		class="gov.va.med.fw.report.jasperreport.JasperReportTemplate" 
		abstract="true">
		<property name="preCompiled" value="true" />
		<property name="nameResolver">
			<bean class="gov.va.med.ccht.service.report.StandardReportNameResolver"/>
		</property>
		<property name="templateCache">
			<bean class="gov.va.med.fw.cache.EHCacheStrategy">
				<property name="cache" ref="ehCacheStrategy" />
			</bean>
		</property>
	</bean>
	
				
</beans>
